TRACE_BLOCK_RQ_ABORT(9)

NAME
trace_block_rq_abort - abort block operation request

SYNOPSIS

void trace_block_rq_abort(struct request_queue * q, struct request * rq);

ARGUMENTS

q
    queue containing the block operation request

rq
    block IO operation request

DESCRIPTION

Called immediately after pending block IO operation request rq in queue q is aborted. The fields in the operation request rq can be examined to determine which device and sectors the pending operation would access.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT